Bug 729047 - kworker sometimes takes over 90% cpu since upgrade to kernel 2.6.40-4.fc15.i686
Summary: kworker sometimes takes over 90% cpu since upgrade to kernel 2.6.40-4.fc15.i686
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 15:21 UTC by Walter Neumann
Modified: 2012-06-06 17:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-06 17:16:17 UTC


Attachments (Terms of Use)

Description Walter Neumann 2011-08-08 15:21:24 UTC
Description of problem: With  kernel 2.6.40-4.fc15.i686 wireless sometimes stops working at which point kpower (one or two instances of it) are taking almost 100% cpu


Version-Release number of selected component (if applicable):
kernel 2.6.40-4.fc15.i686

How reproducible:
Happens at random about once a day

Steps to Reproduce:
1. Wireless stops working, so restart NetworkManager
2. 
3.
  
Actual results: Wireless still does not work, kpower takes almost 100% cpu


Expected results: 


Additional info:

When wireless stops working nm-applet shows connection to my network with an x on it. Wireless is ipw2200.  I believe it is only after I restart NetworkManager that kpower starts taking excess cpu. There are no useful messages in dmesg or messages.

Comment 1 Walter Neumann 2011-08-08 15:53:52 UTC
Sorry "kworker" not "kpower"

Comment 2 Walter Neumann 2011-08-17 23:23:46 UTC
This seems to be essentially a duplicate of bug https://bugzilla.redhat.com/show_bug.cgi?id=717186 .  The kworker problem only arises after the network lockup described in that bug, if NetworkManager is then restarted while the network is stuck. Both issues are new in kernel 2.6.40-4.fc15.i686.

Comment 3 Walter Neumann 2011-09-09 23:39:02 UTC
This it is fixed for me in Kernel 2.6.40.4-5.fc15.i686

Comment 4 Walter Neumann 2011-09-10 03:01:27 UTC
Sorry -- still a problem in Kernel 2.6.40.4-5.fc15.i686

Comment 5 Mark Smith 2011-09-13 16:17:59 UTC
This is a "me too".  I have not correlated this bug with wireless; in fact I had it while connected to my wired port.  Kernel is 2.6.40.4-5.fc15.i686.PAE, using gnome 3, recently upgraded to Fedora 15 from Fedora 13.

Comment 6 Joseph Tingiris 2011-09-14 13:10:57 UTC
There are so many bugs to choose from, this being the newest; I had a problem that matches this description.  

These might be related:
https://bugzilla.redhat.com/show_bug.cgi?id=735098
https://bugzilla.redhat.com/show_bug.cgi?id=698841
https://bugzilla.redhat.com/show_bug.cgi?id=710841
https://bugzilla.redhat.com/show_bug.cgi?id=714278
https://bugzilla.redhat.com/show_bug.cgi?id=729047

The following threads threads also helped me narrow down the issue on my system.

http://lkml.indiana.edu/hypermail/linux/kernel/1103.3/index.html#03685 (excessive kworker activity when idle)

While not nearly as useful, just confirmation that other distributions are having similar issues (and this thread was initially helpful to me)

https://bbs.archlinux.org/viewtopic.php?id=109371

Any more research, here or via google, shows this problem as directly associated with laptops (of all sorts).  Most likely acpi related.  In many threads I've read, powertop alludes to it being related to the snd_* modules (e.g. RealTek, Intel HD Audio, etc.).  Though, blacklisting the entire snd module subsystem has no effect on the kworker usaged (prior to bios upgrades).

On an Acer Aspire One D150, I'm using:
Linux sum1 2.6.40.4-5.fc15.i686 #1 SMP Tue Aug 30 14:54:41 UTC 2011 i686 i686 i386 GNU/Linux

The real indicator for me, besides the obvious top & powertop ident, were massive bursts of these in the work queue (the root cause of the kworker cpu usage):

kworker/0:3-610   [000]   764.920835: workqueue_queue_work: work struct=f661ce88 function=acpi_os_execute_deferred workqueue=f4ceb180 req_cpu=0 cpu=0

The final fix was to upgrade my BIOS (from the manufacturer).

I just upgraded from InsydeH2O v1.05 to v1.13 and viola, no more excessive kworker.  

Most likely, the real fix, like mine, will be mutual adherence between your hardware vendor and 2.6.36+ ...

Comment 7 Walter Neumann 2011-09-14 14:37:22 UTC
On Dell D410 the problem occurs much less frequently since update to 2.6.40.4-5.fc15I. It occurs for me  only in connection with network interfaces (both wifi and ethernet).

"Most likely, the real fix, like mine, will be mutual adherence between your
hardware vendor and 2.6.36+ ..."

Dell D410 has a BIOS for which there have been no updates since 2005 and it has worked fine with all kernels up to the 2.6.40 series, so this is NOT a BIOS problem, it is a kernel bug.

Comment 8 Joseph Tingiris 2011-09-14 14:41:51 UTC
2005?  Maybe.  Or, a clever way to burn out a bunch of old PCs to stimulate a declining market ... LOL.  Good luck with yours.  

For me, I'd simply overlooked the possibility of a BIOS upgrade.  Maybe others will benefit from that part of the advice I've left here.

Comment 9 Chuck Ebbert 2011-09-19 18:38:13 UTC
There is some good information on how to debug this here:

http://lkml.indiana.edu/hypermail/linux/kernel/1103.3/03766.html

Comment 10 Dave Jones 2012-04-11 14:50:58 UTC
is this still occuring with the current update ?


Note You need to log in before you can comment on or make changes to this bug.